Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface LibraryMemberRoles

    public interface LibraryMemberRoles

This class contains static references to all library member roles

Field Summary
`static LibraryMemberRole` | `Administrator` The administrator library role
`static LibraryMemberRole` | `Approver` Deprecated. since 8.5 If this role is used it will apply both the 'Draft Creator' and 'Reviewer' roles
`static LibraryMemberRole` | `Contributor` The contributor library role
`static LibraryMemberRole` | `Delegator` Deprecated. This role is no longer used, and will have no effect if applied to a library.
`static LibraryMemberRole` | `DraftCreator` The draft creator library role
`static LibraryMemberRole` | `Editor` The editor library role
`static LibraryMemberRole` | `Manager` The manager library role
`static LibraryMemberRole` | `MarkupEditor` The markup editor library role
`static LibraryMemberRole` | `Privileged_User` The privileged user library role
`static LibraryMemberRole` | `Reviewer` The reviewer library role
`static LibraryMemberRole` | `Security_Admin` The security administrator library role
`static LibraryMemberRole` | `User` The user library role

Field Detail

### Administrator

    static final LibraryMemberRole Administrator

  The administrator library role

### Manager

    static final LibraryMemberRole Manager

  The manager library role

### Editor

    static final LibraryMemberRole Editor

  The editor library role

### Contributor

    static final LibraryMemberRole Contributor

  The contributor library role

### User

    static final LibraryMemberRole User

  The user library role

### Delegator

    static final LibraryMemberRole Delegator

  Deprecated. This role is no longer used, and will have no effect if applied to a library.

### Privileged_User

    static final LibraryMemberRole Privileged_User

  The privileged user library role

### Security_Admin

    static final LibraryMemberRole Security_Admin

  The security administrator library role

### Approver

    static final LibraryMemberRole Approver

  Deprecated. since 8.5 If this role is used it will apply both the 'Draft Creator' and 'Reviewer' roles
  The approver library role

### Reviewer

    static final LibraryMemberRole Reviewer

  The reviewer library role

### DraftCreator

    static final LibraryMemberRole DraftCreator

  The draft creator library role

### MarkupEditor

    static final LibraryMemberRole MarkupEditor

  The markup editor library role

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD